
import 'package:mc_common_app/extensions/string_extensions.dart';
import 'package:mc_common_app/extensions/int_extensions.dart';
import 'package:mc_common_app/generated/locale_keys.g.dart';
import 'package:mc_common_app/view_models/user_view_model.dart';
import 'package:mc_common_app/widgets/common_widgets/app_bar.dart';
import 'package:mc_common_app/widgets/button/show_fill_button.dart';
import 'package:mc_common_app/widgets/txt_field.dart';
import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class ConfirmNewPasswordPage extends StatelessWidget {
  final String userToken;

  ConfirmNewPasswordPage(this.userToken, {Key? key}) : super(key: key);

  String newPassword = "";

  @override
  Widget build(BuildContext context) {
    UserVM userVM = context.read<UserVM>();
    return Scaffold(
      appBar: CustomAppBar( isRemoveBackButton: true, title: LocaleKeys.forgetPassword.tr()),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        padding: const EdgeInsets.all(40),
        child: Column(
          children: [
            LocaleKeys.newPassword.tr().toText(height: 23 / 24, fontSize: 24, letterSpacing: -1.44,),
            12.height,
            TxtField(
              // hint: "Enter New Password",
              hint: LocaleKeys.enterNewPassword.tr(),
              value: newPassword,
              onChanged: (v) {
                newPassword = v;
              },
            ),
            40.height,
            ShowFillButton(
              title: LocaleKeys.confirm.tr(),
              maxWidth: double.infinity,
              onPressed: () async {
                await userVM.confirmPasswordOTP(
                  context,
                  newPassword: newPassword,
                  userToken: userToken,
                );
              },
            ),
          ],
        ),
      ),
    );
  }
}
